Name:           srm
Version:        1.2.9
Release:        %mkrel 1
Summary:        Secure file deletion
Group:          File tools
License:        MIT
URL:            http://srm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:         srm-1.2.9-sort_headers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}


%description
srm is a secure replacement for rm(1). Unlike the standard rm, it
overwrites the data in the target files before unlinkg them. This
prevents command-line recovery of the data by examining the raw block
device. It may also help frustrate physical examination of the disk,
although it's unlikely that completely protects against this type of
recovery.


%prep
%setup -q
%patch0 -p1 -b .sort_headers

# Convert to utf-8
for file in COPYING; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done

%build
%configure2_5x
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_mandir}/man*/*.*
%{_bindir}/%{name}


%changelog
* Mon Sep 26 2011 Archie <pclinuxos.ph at gmail.com> 1.2.9-1_archie_2011
- Ported to PCLinuxOS and rebuilt for x86_64
- fixed for pclos
